注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

VCAD的博客

VCAD化工制图软件,原创技术博客,享受专业之美~

 
 
 

日志

 
 

管道编号程序  

2013-10-19 11:33:10|  分类: VCAD |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
一朋友让我帮忙写一个管道编号程序,类似于设备中的管口符号。所以就编制了如下的一个程序。主要还是考虑了将数据储存和编号递增。
(defun c:yx()
   (setvar "cmdecho" 0)
     (setq pt1 (getpoint "\n第一点: "))   
   (setq pt2 (getpoint pt1 "\n第二点: "))
     (setq os (getvar "osmode"))
   (setvar "osmode" 0)
   (setq old_rr (getvar "circlerad"))
   (setq str_rr (strcat "\n圆半径 <" (rtos old_rr 2) ">: "))
   (setq rr1 (getdist str_rr))
   (if (null rr1) (setq rr1 old_rr))
  (if (= numb1 nil) (setq numb1 1))
   (setq num (getint (strcat "\n起始值: " (if numb1 (itoa (+ 1 numb1)) "1"))))
   (if (= num nil) (setq num (+ 1 numb1)))
  (setq numb1 num)
   (setq dd2 (/ rr1 3))
  (setq ang (angle pt1 pt2))
  (setq cen (polar pt2 ang rr1))
  (command "line" pt1 pt2 "")
(command "circle" cen rr1)
  (command "text" "m" cen rr1 0 (itoa num));(* (/ ang pi) 180)
     (setvar "osmode" os)
    (prin1)
)

  评论这张
 
阅读(64)| 评论(1)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017